/***********************************************************************************
    Filename:     command.h
***********************************************************************************/

#ifndef COMMAND_H
#define COMMAND_H

/***********************************************************************************
* INCLUDES
*/
#include "hal_types.h"

#define UART_CMD_SET_CHANNEL            0x01
#define UART_CMD_GET_CHANNEL            0xC1
#define UART_CMD_SET_TXPOWER            0x02
#define UART_CMD_GET_TXPOWER            0xC2
#define UART_CMD_SET_MYSHORTID          0x03
#define UART_CMD_GET_MYSHORTID          0xC3
#define UART_CMD_SET_DEVID              0x04
#define UART_CMD_GET_DEVID              0xC4
#define UART_CMD_GET_CHANNEL_SCAN       0xC5
#define UART_CMD_GET_RSSI               0xC6
#define UART_CMD_ERROR                  0x7E

void appCommandProcess(void);

#endif

